Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000712Core InformPropertiespublic2011-07-31 09:192014-05-07 07:34
ReporterVictor Gijsbers 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000712: Abject failure caused by "[property] of a random [single or non-existent object]".
DescriptionAt least sometimes the phrase "the X of a random Y", where Y is not a kind but a single object (or a non-existent object), causes the Inform 7 compiler to hang in abject failure. Three examples are below.

The code is illegal, but, as always, abject failures should not happen.
Minimal Source Text To Reproduce
=== EXAMPLE 1 ===

"Johnson" by Victor Gijsbers

The forum is a room.

Every turn:
	if the printed name of a random John is "John":
		say "Hm".

=== EXAMPLE 2 ===

"Johnson" by Victor Gijsbers

The forum is a room.

Definition: a person (called guy) is Johnsonian if the printed name of guy is the printed name of a random 
John.

=== EXAMPLE 3 ===

"Johnson" by Victor Gijsbers

The forum is a room.

John is a person.

Definition: a person (called guy) is Johnsonian if the printed name of guy is the printed name of a random 
John.
Additional InformationErrors generated are like:


"An internal error has occurred: null INFS. The current sentence is 'Definition' ; the error was detected at line 417 of "Chapter 18/Inference Subjects.w". This should never happen, and I am now halting in abject failure."
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
(0001339)
graham (administrator)
2011-10-09 00:59

All variants of this involve Inform failing when generating a problem message, so it was correctly recognising the source text as illegal, at least. Fixed.

- Issue History
Date Modified Username Field Change
2011-07-31 09:19 Victor Gijsbers New Issue
2011-08-16 18:23 EmacsUser Status new => confirmed
2011-08-16 18:23 EmacsUser Category Kinds and type checking => Properties
2011-10-09 00:59 graham Note Added: 0001339
2011-10-09 00:59 graham Status confirmed => resolved
2011-10-09 00:59 graham Resolution open => fixed
2011-10-09 00:59 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker